package message_records

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/message_records"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /message_records message_records GetMessageRecordsById
//
// Get message records by ID | 通过ID获取MessageRecords
//
// Get message records by ID | 通过ID获取MessageRecords
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: MessageRecordsInfoResp

func GetMessageRecordsByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := message_records.NewGetMessageRecordsByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetMessageRecordsById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
